JSSEImplementation (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.net.jsse.JSSEImplementation class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.net.jsse
Class JSSEImplementation

    java.lang.Object
      org.apache.tomcat.util.net.SSLImplementation
          org.apache.tomcat.util.net.jsse.JSSEImplementation

    public class JSSEImplementation

extends SSLImplementation

Constructor Summary
`JSSEImplementation()`

Method Summary
`java.lang.String` | `getImplementationName()`
`ServerSocketFactory` | `getServerSocketFactory()`
`SSLSupport` | `getSSLSupport(java.net.Socket s)`
`SSLSupport` | `getSSLSupport(javax.net.ssl.SSLSession session)`

Methods inherited from class org.apache.tomcat.util.net.SSLImplementation
`getInstance, getInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSSEImplementation

    public JSSEImplementation()
                       throws java.lang.ClassNotFoundException

Throws:
  `java.lang.ClassNotFoundException`

Method Detail

### getImplementationName

    public java.lang.String getImplementationName()

  Specified by:
    `getImplementationName` in class `SSLImplementation`

### getServerSocketFactory

    public ServerSocketFactory getServerSocketFactory()

  Specified by:
    `getServerSocketFactory` in class `SSLImplementation`

### getSSLSupport

    public SSLSupport getSSLSupport(java.net.Socket s)

  Specified by:
    `getSSLSupport` in class `SSLImplementation`

### getSSLSupport

    public SSLSupport getSSLSupport(javax.net.ssl.SSLSession session)

  Specified by:
    `getSSLSupport` in class `SSLImplementation`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.